﻿# -*- coding: utf_8 -*-

import cPickle
from clapi import *
from clconst import *
from clbmitem import Item

class Cache:
    flag = 0
    path = GetOption(OPTION_BM_CACHE)
    
    def load():
        if Cache.flag:return
        
        try:
            f = open(Cache.path, 'rb')
        except IOError:
            raise IOError
        else:
            d = cPickle.load(f)
            if not d:return
            if list(Item.getAll()):
                Item.removeAll()
            for item in d:
                item.add(1)
            Cache.flag = 1
    load = staticmethod(load)
    
    def save():
        try:
            f = open(Cache.path, 'wb')
        except IOError,e:
            print '%s \n at save cache in BookmarkMode.' % e
            return
        else:
            cPickle.dump(list(Item.getAll()), f)
    save = staticmethod(save)
