﻿# -*- coding: utf_8 -*-

# ---------------------------------------------------------------------------------------
# define Option
# ---------------------------------------------------------------------------------------
import clconst
clconst.OPTION_BM_POS      = 'bm01'
clconst.OPTION_BM_MAX      = 'bm02' # 一画面に表示する候補リストの長さ
clconst.OPTION_BM_CACHE    = 'bm03'
clconst.OPTION_BM_XML      = 'bm04'
clconst.OPTION_BM_WWWC     = 'bm05'
clconst.OPTION_BM_WWWC_TIME= 'bm06'
clconst.OPTION_BM_OPML     = 'bm07'
clconst.OPTION_BM_BROWSER  = 'bm08'
clconst.OPTION_BM_VIEW_MAX = 'bm09' # 候補リスト全体に表示するアイテム数
clconst.OPTION_BM_OPEN     = 'bm10'
clconst.OPTION_BM_DEL_USER = 'bm11'
clconst.OPTION_BM_DEL_PASS = 'bm12'
clconst.OPTION_BM_SORT_BY_UPDATE = 'bm13'

# ---------------------------------------------------------------------------------------
# set option table
# ---------------------------------------------------------------------------------------
import cloption
cloption._set_option_func_table[clconst.OPTION_BM_POS] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_MAX] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_CACHE] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_XML] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_WWWC] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_WWWC_TIME] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_OPML] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_BROWSER] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_SORT_BY_UPDATE] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_VIEW_MAX] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_OPEN] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_DEL_USER] = cloption._SetOption_Simple
cloption._set_option_func_table[clconst.OPTION_BM_DEL_PASS] = cloption._SetOption_Simple

# ---------------------------------------------------------------------------------------
# get option table
# ---------------------------------------------------------------------------------------
cloption._get_option_func_table[clconst.OPTION_BM_POS] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_MAX] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_CACHE] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_XML] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_WWWC] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_WWWC_TIME] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_OPML] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_BROWSER] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_SORT_BY_UPDATE] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_VIEW_MAX] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_OPEN] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_DEL_USER] = cloption._GetOption_Simple
cloption._get_option_func_table[clconst.OPTION_BM_DEL_PASS] = cloption._GetOption_Simple

# ---------------------------------------------------------------------------------------
# define Option 
# ---------------------------------------------------------------------------------------
from clapi import *
from clconst import *
import os.path
SetOption(OPTION_BM_POS, 0)
SetOption(OPTION_BM_MAX, 0)
SetOption(OPTION_BM_CACHE, os.path.join( GetAppDir(), 'bookmark.dat' ))
SetOption(OPTION_BM_XML, os.path.join( GetAppDir(), 'bookmark.xml' ))
SetOption(OPTION_BM_WWWC, '')
SetOption(OPTION_BM_WWWC_TIME, 0)
SetOption(OPTION_BM_OPML, '')
SetOption(OPTION_BM_BROWSER, ())
SetOption(OPTION_BM_SORT_BY_UPDATE, 1)
SetOption(OPTION_BM_VIEW_MAX, (18,5,5))
SetOption(OPTION_BM_OPEN, 0)
SetOption(OPTION_BM_DEL_USER, '')
SetOption(OPTION_BM_DEL_PASS, '')

